// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        // 主体高度
        infoHeight: '',
        frameStyle: { useTop: true, name: '审核队员', leftArrow: true, useBar: false },
        //加入团队列表
        list: [],
        menbers: [],
        id: ''
    },

    back: function () {
        wx.navigateBack({ url: '/pages/me/index' })
    },
    //通过
    adopt: function (e) {
        const that = this;
        let id = e.currentTarget.dataset.id;
        //修改状态-加入团队修改
        wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/joinapply/${id}`, 
            method: "post",
            data: { status: '1' },
            header: {},
            success: res => {
                if (res.data.errcode == 0) {
                    wx.showToast({
                        title: '已通过',
                        icon: 'success',
                        duration: 2000
                    })
                }
            },
            error: err => {
            }
        })
        //用户详情
        let id1 = e.currentTarget.dataset.id1;
        wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/user/${id1}`, //接口地址
            method: "get",
            data: {},
            header: {},
            success: res => {
                //团队修改
                let id_1 = this.data.id
                let members = [];
                members.push({ id: res.data.data.id, nickname: res.data.data.nickname, icon: res.data.data.icon })
                that.setData({ members: members })
                wx.request({
                    url: `${app.globalData.publicUrl}/courtAdmin/api/team/${id_1}`, //接口地址
                    method: "post",
                    data: { members: members },
                    header: {},
                    success: res => {
                        if (res.data.errcode == 0) {
                            wx.showToast({
                                title: '已通过',
                                icon: 'success',
                                duration: 2000//延迟两秒
                            })
                        }
                    },
                    error: err => {
                    }
                })
            },
            error: err => {
            }
        })

    },
    //驳回
    reject: function (e) {
        let { id } = e.currentTarget.dataset;
        wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/joinapply/${id}`, 
            method: "post",
            data: { status: '-1' },
            header: {},
            success: res => {
                if (res.data.errcode == 0) {
                    wx.showToast({
                        title: '已驳回',
                        icon: 'success',
                        duration: 2000
                    })
                }
            },
            error: err => {
            }
        })
    },
    /**
    * 生命周期函数--监听页面加载
    */
    onLoad: function (options) {
        this.setData({ id: options.id })
        // 计算高度
        this.searchHeight();
        // 监听用户是否登录
        this.watchLogin();
    },
    // 监听用户是否登录
    watchLogin: function () {
        const that = this;
        var id = that.data.id;
        wx.getStorage({
            key: 'token',
            success: res => {
                //数据请求
                wx.request({
                    url: `${app.globalData.publicUrl}/courtAdmin/api/joinapply`,
                    method: "get",
                    data: { team_id: id },
                    header: {},
                    success: res => {
                        that.setData({ list: res.data.data })
                    },
                    error: err => {
                    }
                })

            },
            fail: res => {
                wx.redirectTo({ url: '/pages/login/index', })
            }
        })
    },
   // 计算高度
   searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 是否去掉状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
},
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})